(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright (c) 2013-2014 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: wire_types.mli,v 1.3 2014/05/06 12:56:22 fclement Exp $ *)

type length = Upervasives.length;;
type index = Upervasives.index;;

type size = length * length;;
type dimension = length;;

type param = float;;
type cost = float;;

type fine_parameter = param Umatrix.t;;
type fine_gradient = fine_parameter;;

type partition = index Umatrix.t;;
type coarse_parameter = param array array;;
